<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This script is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 */

/*
 * verhindern, dass dieses Script direkt aufgerufen werden kann
 * sondern nur z.B. ueber die modules.php
 */
defined('mxMainFileLoaded') or die('access denied');

/*
 * Die ID des zu verwendenden Multiblocks aus der Blockverwaltung
 */
$bid = 97; // <<<<< diese Variable anpassen !!!

/*
 * Rechte Bloecke an (true) oder aus (false)
 * Standard ist null, kann also entfallen
 */
$index = false;

/*
 * Modulnamen ermitteln
 */
$module_name = basename(dirname(__FILE__));

/*
 * folgende Zeile, nur wenn Sprachdateien fuer das Modul verfuegbar sind
 */
// mxGetLangfile($module_name);

/*
 * Die Daten des Blocks aus der Datenbank holen,
 * das Array $block wird innerhalb der Blockdatei benoetigt
 */
$result = sql_query("SELECT * FROM ${prefix}_blocks WHERE bid = " . intval($bid));
$block = sql_fetch_assoc($result);
/*
 * Die Positionsdaten abaendern, damit ein Centerblock simuliert wird
 */
$block['position'] = 'c';

/*
 * Anstatt die Blockdatei zu includen,
 * kopieren wir einfach den PHP-Code der Blockdatei hierher
 */
$mb_object = load_class('Multiblock', $block);
if (isset($_GET['mxtabs'], $_GET['bid']) && $_GET['mxtabs'] == 'admin' && intval($_GET['bid']) == $block['bid'] && mxGetAdminPref('radminsuper')) {
    $content = $mb_object->get('admin');
} else {
    $content = $mb_object->get('tabs');
}
$mb_object = null;

/*
 * damit der Administrator-Link nicht auf die Startseite, sondern auf
 * dieses Modul verlinkt, die Ausgabe entspr. manipulieren
 */
$content = str_replace('index.php?mxtabs=admin&amp;bid=', 'modules.php?name=' . $module_name . '&amp;mxtabs=admin&amp;bid=', $content);

/*
 * in der header.php wird das html Geruest erstellt und ausgegeben
 * normalerweise inkl. der linken Blockspalte
 */
include_once('header.php');

/*
 * bei Bedarf, je nach Theme, einen Design-Rahmen um die Ausgabe eroeffnen
 */
OpenTable();

/*
 * Die oben erstellte Variable hier per echo ausgeben
 */
echo $content;

/*
 * den Design-Rahmen wieder schliessen
 */
CloseTable();

/*
 * in der footer.php wird das html Geruest abgeschlossen und ausgegeben
 * normalerweise inkl. der rechten Blockspalte (falls $index = 1)
 * ausserdem wird hier noch mod_rewrite und andere Dinge der Ausgabe manipuliert
 */
include_once('footer.php');

?>